Skip to main content
`Ctrl`+`K`

# circular_layout

circular_layout(G, scale=1, center=None, dim=2)

  Position nodes on a circle.

  Parameters:
    G NetworkX graph or list of nodes

      A position will be assigned to every node in G.

    scale number (default: 1)

      Scale factor for positions.

    center array-like or None

      Coordinate pair around which to center the layout.

    dim int

      Dimension of layout. If dim>2, the remaining dimensions are set to zero in the returned positions. If dim<2, a ValueError is raised.

  Returns:
    pos dict

      A dictionary of positions keyed by node

  Raises:
    ValueError

      If dim < 2

  Notes

  This algorithm currently only works in two dimensions and does not try to minimize edge crossings.

  Examples

      >>> G = nx.path_graph(4)
      >>> pos = nx.circular_layout(G)